BindingProxy (Groovy 5.1.0)

Package: org.apache.groovy.swing.binding

## [Java] Class BindingProxy

- org.apache.groovy.swing.binding.BindingProxy

- All Implemented Interfaces and Traits:
    BindingUpdatable

      public class BindingProxy
      extends GroovyObjectSupport
      implements BindingUpdatable

  This class returns half bound FullBindings on the source half to the model object for every property reference (and I do mean every, valid or not, queried before or not). These returned half bindings are stored strongly in a list when generated. Changing the model will keep all existing bindings but change the source on all of the bindings. Formerly Known as Model Binding.

  Since:
    Groovy 1.5

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BindingProxy(Object model)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `bind()`
    `` | `public Object` | `getModel()`
    `` | `public Object` | `getProperty(String property)`
    `` | `public void` | `rebind()`
    `` | `public void` | `reverseUpdate()`
    `` | `public void` | `setModel(Object model)`
    `` | `public void` | `setProperty(String property, Object value)`
    `` | `public void` | `unbind()`
    `` | `public void` | `update()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public BindingProxy(Object model)

  - ### Method Detail

    - #### @Override
      public void bind()

    - #### public Object getModel()

    - #### @Override
      public Object getProperty(String property)

    - #### @Override
      public void rebind()

    - #### @Override
      public void reverseUpdate()

    - #### public void setModel(Object model)

    - #### @Override
      public void setProperty(String property, Object value)

    - #### @Override
      public void unbind()

    - #### @Override
      public void update()